Skip to main content
GET
/
v1
/
auth
/
{authentication_source}
/
logout
Logout
curl --request GET \
  --url https://api.endorlabs.com/v1/auth/{authentication_source}/logout
{
  "authentication_source": "<string>",
  "expiration_time": "2023-11-07T05:31:56Z",
  "token": "<string>",
  "user": {
    "meta": {
      "name": "<string>",
      "annotations": {},
      "create_time": "2023-11-07T05:31:56Z",
      "created_by": "<string>",
      "description": "<string>",
      "index_data": {
        "data": [
          "<string>"
        ],
        "search_score": 123,
        "tenant": "<string>",
        "will_be_deleted_at": "2023-11-07T05:31:56Z"
      },
      "kind": "<string>",
      "parent_kind": "<string>",
      "parent_uuid": "<string>",
      "references": {},
      "tags": [
        "<string>"
      ],
      "update_time": "2023-11-07T05:31:56Z",
      "updated_by": "<string>",
      "upsert_time": "2023-11-07T05:31:56Z",
      "version": "<string>"
    },
    "spec": {
      "email": "<string>",
      "event_tracking": {},
      "first_name": "<string>",
      "groups": [
        "<string>"
      ],
      "last_login_time": "2023-11-07T05:31:56Z",
      "last_name": "<string>",
      "token_hash": "<string>",
      "user_name": "<string>"
    },
    "uuid": "<string>"
  }
}

Path Parameters

authentication_source
string
required

Specifies a user's authentication method, such as "GitHub".

Query Parameters

key
string

The API key used for system authentication.

Key is required only if the authentication source is "api-key".

secret
string

The API secret used for system authentication.

Secret is required only if the authentication source is "api-key".

Response

A successful response.

Response to the request includes a token and the token expiration time for an authenticated user.

authentication_source
string
expiration_time
string<date-time>
token
string
user
object

User represents a user in the system.

Mostly includes configuration parameters that are user wise.